## cascading.tuple.hadoop
Class GroupingSortingComparator

    java.lang.Object
      org.apache.hadoop.conf.Configured
          cascading.tuple.hadoop.DeserializerComparator<TuplePair>
              cascading.tuple.hadoop.GroupingSortingComparator

All Implemented Interfaces:
  Comparator<TuplePair>, Configurable, RawComparator<TuplePair>

Direct Known Subclasses:
  ReverseGroupingSortingComparator

    public class GroupingSortingComparator

extends DeserializerComparator<TuplePair>

Class TuplePairComparator is an implementation of `RawComparator`.

Constructor Summary
`GroupingSortingComparator()`

Method Summary
`int` `compare(byte[] b1, int s1, int l1, byte[] b2, int s2, int l2)`
`int` `compare(TuplePair lhs, TuplePair rhs)`
`void` `setConf(Configuration conf)`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### GroupingSortingComparator

    public GroupingSortingComparator()

Method Detail

### setConf

    public void setConf(Configuration conf)

  Specified by:
    `setConf` in interface `Configurable`
  Overrides:
    `setConf` in class `DeserializerComparator<TuplePair>`

### compare

    public int compare(byte[] b1,
                       int s1,
                       int l1,
                       byte[] b2,
                       int s2,
                       int l2)

### compare

    public int compare(TuplePair lhs,
                       TuplePair rhs)

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.